gnutls_x509_dn_import(3)

NAME
gnutls_x509_dn_import - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_import(gnutls_x509_dn_t odn, const gnutls_datum_t * data);

ARGUMENTS

gnutls_x509_dn_t odn
    the structure that will hold the imported DN

const gnutls_datum_t * data
    should contain a DER encoded RDN sequence

DESCRIPTION
This function parses an RDN sequence and stores the result to a gnutls_x509_dn_t structure. The structure must have been initialized with gnutls_x509_dn_init(). You may use gnutls_x509_dn_get_rdn_ava() to decode the DN.

DESCRIPTION
This function parses an RDN sequence and stores the result to a gnutls_x509_dn_t structure. The structure must have been initialized with gnutls_x509_dn_init(). You may use gnutls_x509_dn_get_rdn_ava() to decode the DN.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.